<!DOCTYPE html>
    <html lang="en"
          xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
          xmlns:th="http://www.thymeleaf.org"
          xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
          layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Result Journal</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-lg">
                    <div class="card-header">
                        <h5>Results from generate journal</h5>
                    </div>
                    <div class="card-body">
                        <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                            <strong th:text="${success}"></strong>
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                <tr class="bg-secondary bg-opacity-25">
                                    <th colspan="2">Desciption :</th>
                                    <th>Date :</th>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <span th:text="${journal.description}"></span>
                                    </td>
                                    <td>
                                        <span th:text="${#temporals.format(journal.transactionDate, 'dd MMMM yyyy')}"></span>
                                    </td>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <th>Account</th>
                                    <th>DEBET</th>
                                    <th>CREDIT</th>
                                </tr>
                                <tr th:each="data, row:${journalDetailList}">
                                    <td th:text="${data.account.name}"></td>
                                    <td>
                                        <span th:text="${#numbers.formatDecimal(data.amount,  0, 'POINT', 2, 'COMMA')}" th:if="${data.balanceType.toString() == 'DEBET'}"></span>
                                    </td>
                                    <td>
                                        <span th:text="${#numbers.formatDecimal(data.amount,  0, 'POINT', 2, 'COMMA')}" th:if="${data.balanceType.toString() == 'CREDIT'}"></span>
                                    </td>
                                </tr>
                                <tr>
                                    <th>Total</th>
                                    <th th:text="${#numbers.formatDecimal(totalDebet,  0, 'POINT', 2, 'COMMA')}"></th>
                                    <th th:text="${#numbers.formatDecimal(totalCredit,  0, 'POINT', 2, 'COMMA')}"></th>
                                </tr>
                                <tr>
                                    <th>Status</th>
                                    <th colspan="2">
                                        <b class="badge text-bg-success" th:if="${totalDebet == totalCredit}">Balance</b>
                                        <b class="badge text-bg-danger" th:if="${totalDebet != totalCredit}">Not Balance</b>
                                    </th>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div class="row">
                            <div class="col-md-12 text-end">
                                <a th:href="@{/journal}" class="btn btn-danger">Back</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>